Subject: Re: problems with e1000 and jumboframes

From: Arnd Hannemann <[email-masked]>
Date: Thu, 03 Aug 2006 17:32:48 +0200

Benjamin LaHaise schrieb:
> On Thu, Aug 03, 2006 at 03:48:39PM +0200, Arnd Hannemann wrote:
>> However the box is a VIA Epia MII12000 with 1 GB of Ram and 1 GB of swap
>> enabled, so there should be plenty of memory available. HIGHMEM support
>> is off. The e1000 nic seems to be an 82540EM, which to my knowledge
>> should support jumboframes.
> 
>> However I can't always reproduce this on a freshly booted system, so
>> someone else may be the culprit and leaking pages?
>>
>> Any ideas how to debug this?
> 
> This is memory fragmentation, and all you can do is work around it until 
> the e1000 driver is changed to split jumbo frames up on rx.  Here are a 
> few ideas that should improve things for you:
> 
> 	- switch to a 2GB/2GB split to recover the memory lost to highmem
> 	  (see Processor Type and Features / Memory split)
> 	- increase /proc/sys/vm/min_free_kbytes -- more free memory will 
> 	  improve the odds that enough unfragmented memory is available for 
> 	  incoming network packets
> 
> I hope this helps.

:-) Yes it did. I increased /proc/sys/vm/min_free_kbytes to 65000 and
now it works. Thank you!

> 		-ben

Best regards,
Arnd Hannemann